nxt

## Class Appendix.Phasing

- java.lang.Object
- - nxt.Appendix.AbstractAppendix
  - - nxt.Appendix.Phasing

- All Implemented Interfaces:
    Appendix
  Enclosing interface:
    Appendix

      public static final class Appendix.Phasing
      extends Appendix.AbstractAppendix

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface nxt.Appendix

      `Appendix.AbstractAppendix, Appendix.AbstractEncryptedMessage, Appendix.Encryptable, Appendix.EncryptedMessage, Appendix.EncryptToSelfMessage, Appendix.Message, Appendix.Phasing, Appendix.Prunable, Appendix.PrunableEncryptedMessage, Appendix.PrunablePlainMessage, Appendix.PublicKeyAnnouncement, Appendix.UnencryptedEncryptedMessage, Appendix.UnencryptedEncryptToSelfMessage, Appendix.UnencryptedPrunableEncryptedMessage`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Phasing(int finishHeight, PhasingParams phasingParams, byte[][] linkedFullHashes, byte[] hashedSecret, byte algorithm)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getAlgorithm()`
    `Fee` | `getBaselineFee(Transaction transaction)`
    `int` | `getFinishHeight()`
    `byte[]` | `getHashedSecret()`
    `byte[][]` | `getLinkedFullHashes()`
    `PhasingParams` | `getParams()`
    `long` | `getQuorum()`
    `VoteWeighting` | `getVoteWeighting()`
    `long[]` | `getWhitelist()`

    - ### Methods inherited from class nxt.Appendix.AbstractAppendix

      `getBaselineFeeHeight, getFullSize, getJSONObject, getNextFee, getNextFeeHeight, getSize, getVersion, isPhased, putBytes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface nxt.Appendix

      `hasAppendix`

- - ### Constructor Detail

    - #### Phasing

          public Phasing(int finishHeight,
                         PhasingParams phasingParams,
                         byte[][] linkedFullHashes,
                         byte[] hashedSecret,
                         byte algorithm)

  - ### Method Detail

    - #### getBaselineFee

          public Fee getBaselineFee(Transaction transaction)

      Specified by:
        `getBaselineFee` in interface `Appendix`
      Overrides:
        `getBaselineFee` in class `Appendix.AbstractAppendix`

    - #### getFinishHeight

          public int getFinishHeight()

    - #### getQuorum

          public long getQuorum()

    - #### getWhitelist

          public long[] getWhitelist()

    - #### getVoteWeighting

          public VoteWeighting getVoteWeighting()

    - #### getLinkedFullHashes

          public byte[][] getLinkedFullHashes()

    - #### getHashedSecret

          public byte[] getHashedSecret()

    - #### getAlgorithm

          public byte getAlgorithm()

    - #### getParams

          public PhasingParams getParams()